Subject: Re: Sergey's cygwin.dll
From: [email-masked] (Fabio Somenzi)

5 Jun 1997 05:56:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Mailer: emacs 19.32.1 (via feedmail 5 I) 
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

>>>>> "CC" == Colman Curtin <[email-masked]> writes:

 >> bash$ ls (unknown) heap_init: unable to allocate heap, win32 error
 >> 8 cygwin: terminating bash$

 >> Sergey told me error 8 is an out of memory error, but I've got
 >> plenty.  And the Win95 swap file is no where near maxed out,
 >> should it want more memory.

 CC> I get similar errors to this.  as with the previous example, but
 CC> ls works fine at first but say after a cd to a sub dir it fails.

 CC> :/root/usr/src> cd tsock :usr/src/tsock> ls
 CC> (C:\GNUWIN32\B18\H-I386-CYGWIN32\BIN\BASH.EXE 1000) forkee
 CC> heap_init: unable to allocate heap, win32 error 8 cygwin:
 CC> terminating fork_helper: child died before initialization with
 CC> win32 error 1

 CC> running on Win95,p133,16M.

I had a similar problem when I was executing commands in a directory
where I had unpacked Sergey's tar file, and therefore I had a copy of
cygwin.dll.

My guess is that the local copy was started and conflicted with the
copy already being run by bash. Removing that copy of cygwin.dll
solved the problem.

Fabio

-- 
Fabio Somenzi          | Phone: 303-492-3466
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".